- Qt 5.15
- Qt Quick 3D
- QML Types
- AdditiveColorGradient QML Type
- Qt Quick 3D | Commercial or GPLv3

# AdditiveColorGradient QML Type

A gradient with additive color effect. More...

Import Statement: | import QtQuick3D.Effects 1.15

- List of all members, including inherited members

## Properties

- bottomColor : vector3d
- topColor : vector3d

## Detailed Description

This effect adds a vertical gradient to the whole scene, then additively blends it with all other elements on the layer. Additive blending adds the pixel values of the gradient and the layer, making the result lighter. White areas do not change, and black areas are the same color as the gradient.

## Property Documentation

bottomColor : vector3d

The color to be used at the bottom of the screen for the gradient. `Qt.vector3d(0.0, 0.0, 0.0)` by default.

topColor : vector3d

The color to be used at the top of the screen for the gradient. `Qt.vector3d(1.0, 1.0, 1.0)` by default.